import { Observable } from 'rxjs';
import { CrpcProtocol } from '../protocol/crpc';
import { ControlWithPropertiesAbstract } from './control-with-properties-abstract';
import { ListItem } from './list-item';
import { ListFunction } from './list-function';
export declare class CrpcBrowser extends ControlWithPropertiesAbstract {
    private _automaticListItemRetrievalEnabled;
    version$: Observable<number>;
    maxReqItems$: Observable<number>;
    level$: Observable<number>;
    itemCnt$: Observable<number>;
    title$: Observable<string>;
    subtitle$: Observable<string>;
    listSpecificFunctions$: Observable<string[]>;
    isMenuAvailable$: Observable<boolean>;
    statusMsgMenu$: Observable<any>;
    instance$: Observable<number>;
    items$: Observable<ListItem[]>;
    functions$: Observable<ListFunction[]>;
    constructor(_handle: string, _uuid: string, _instanceName: string, _protocol: CrpcProtocol);
    initialize(): void;
    protected _handleEvent(event: string, properties: any): void;
    private _enableAutomaticListRetrieval;
    private _enableAutomaticListSpecificFunctions;
    private _executeListSpecificFunction;
    private _selectItemByIndex;
    back(): void;
}
