import { Subject } from 'rxjs';
import { CrpcBrowser } from './browser';
import { CrpcPlayer } from './player';
export declare class CrpcContainer {
    private _uuid;
    private _handle;
    private _objects;
    private readonly _protocol;
    browser?: CrpcBrowser;
    player?: CrpcPlayer;
    /**
     * @param _uuid Make sure this id is always the same for the client you are using!
     * @param _handle Possible custom handle to use for comms, by default crestron used "sg", we use "hmp(Html Media Player)"
     */
    constructor(_uuid: string, _handle?: string);
    initialize(): Promise<void>;
    pipeFromServer(data: string): void;
    get pipeToServer(): Subject<string>;
    private register;
    private _getObjects;
    /**
     * @returns Promise<CrpcBrowser | undefined> if undefined the browser could not be retrieved for some reason!
     */
    private _getBrowser;
    /**
     * @returns Promise<boolean> true if success, false if error
     */
    private _registerEvent;
}
