import { Observable } from 'rxjs';
import { CrpcProtocol } from '../protocol/crpc';
import { MethodName } from '../protocol/player/method-name';
import { Rating } from '../protocol/player/rating';
import { ControlWithPropertiesAbstract } from './control-with-properties-abstract';
export declare class CrpcPlayer extends ControlWithPropertiesAbstract {
    textLines$: Observable<string[]>;
    actionsSupported$: Observable<MethodName[]>;
    actionsAvailable$: Observable<MethodName[]>;
    progressBar$: Observable<boolean>;
    elapsedSec$: Observable<number>;
    trackSec$: Observable<number>;
    streamState$: Observable<string>;
    trackNum$: Observable<number>;
    trackCnt$: Observable<number>;
    playerState$: Observable<string>;
    playerIcon$: Observable<number>;
    playerName$: Observable<string>;
    playerIconUrl$: Observable<string>;
    mediaType$: Observable<string>;
    instance$: Observable<number>;
    albumArt$: Observable<string>;
    albumArtUrl$: Observable<string>;
    albumArtUrlNat$: Observable<string>;
    stationName$: Observable<string>;
    album$: Observable<string>;
    genre$: Observable<string>;
    artist$: Observable<string>;
    title$: Observable<string>;
    language$: Observable<string>;
    rewindSpeed$: Observable<number>;
    providerName$: Observable<string>;
    fastForwardSpeed$: Observable<number>;
    nextTitle$: Observable<string>;
    mediaReady$: Observable<boolean>;
    shuffleState$: Observable<number>;
    repeatState$: Observable<number>;
    rating$: Observable<Rating>;
    selectedId$: Observable<string>;
    constructor(_handle: string, _uuid: string, _instanceName: string, _protocol: CrpcProtocol);
    initialize(): void;
    protected _handleEvent(event: string, properties: any): void;
    play(): void;
    pause(): void;
    nextTrack(): void;
    previousTrack(): void;
    nextCategory(): void;
    previousCategory(): void;
    thumbsUp(): void;
    thumbsDown(): void;
    rewind(): void;
    fastForward(): void;
    shuffle(): void;
    repeat(): void;
    star(): void;
    seek(seconds: number): void;
}
