import { Subject } from 'rxjs';
import { CrpcDialog } from '../model/crpc-dialog';
import { CrpcEventPacket } from '../model/crpc-event-packet';
import { GenericSend } from './packet/generic-send';
export declare class CrpcProtocol {
    private _handle;
    /**
     *  @description Output to inject into transport
     */
    transmit: Subject<string>;
    /**
     * @description Once an event is received it will pass through here.
     */
    event: Subject<CrpcEventPacket>;
    dialog: Subject<CrpcDialog | null>;
    version: string;
    private readonly _jsonStart;
    private _deferredById;
    private _lastMessageId;
    private _parseBuffer;
    private _lastParsedInput;
    constructor(_handle: string);
    private _parsePartial;
    private _parseFull;
    private _handlePacket;
    receive(message: string): void;
    sendRaw(instanceStr: string, method: string, params?: unknown): Promise<any>;
    send(packet: GenericSend): Promise<any>;
}
