"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TemporaryDeferred = void 0;
/**
 * T = Resolve type
 * E = Reject data type
 */
const deferred_rejection_message_1 = require("./deferred-rejection-message");
const deferred_rejection_reason_1 = require("./deferred-rejection-reason");
class TemporaryDeferred {
    constructor(_timeoutMs, _onTimeout) {
        this._timeoutMs = _timeoutMs;
        this._onTimeout = _onTimeout;
        this._timeout = setTimeout(() => {
            this._onTimeout();
            this._originalReject(deferred_rejection_message_1.DeferredRejectionMessage.timeout());
        }, _timeoutMs);
        this.promise = new Promise((resolve, reject) => {
            this.resolve = resolve;
            this._originalReject = reject;
            this.reject = (data) => {
                clearTimeout(this._timeout);
                this._originalReject(new deferred_rejection_message_1.DeferredRejectionMessage(deferred_rejection_reason_1.DeferredRejectionReason.External, data));
            };
        });
    }
}
exports.TemporaryDeferred = TemporaryDeferred;
